<?php
function wptp_get_popup_title($popup_id)
{
    $wptp_popup = get_post($popup_id);
    $popup_title = $wptp_popup->post_title;

    return $popup_title;
}

function wptp_get_popup_content($popup_id)
{
    include_once ABSPATH.'wp-admin/includes/plugin.php';

    $wptp_popup = get_post($popup_id);
    $popup_content = '';

    if ($popup_id && is_plugin_active('wp-terms-popup-collector/index.php')) {
        wptp_collector_update_results($popup_id);
    }

    if (get_option('termsopt_javascript') <> 1) {
        $popup_content = $wptp_popup->post_content;

        $popup_content = wptexturize($popup_content);
        $popup_content = convert_smilies($popup_content);
        $popup_content = convert_chars($popup_content);
        $popup_content = prepend_attachment($popup_content);
        $popup_content = do_shortcode($popup_content);
        $popup_content = shortcode_unautop($popup_content);
        $popup_content = wpautop($popup_content);
    } else {
        $popup_content = apply_filters('the_content', $wptp_popup->post_content);
    }

    return $popup_content;
}

function wptp_get_popup_css()
{
    include_once ABSPATH.'wp-admin/includes/plugin.php';

    $wptp_css = '';

    if (is_plugin_active('wp-terms-popup-designer/index.php')) {
        ob_start();
        include ABSPATH.'wp-content/plugins/wp-terms-popup-designer/inc/wptp-designer-css.php';
        $wptp_css = ob_get_contents();
        ob_end_clean();
    } else {
        ob_start();
        include 'wptp-css.php';
        $wptp_css = ob_get_contents();
        ob_end_clean();
    }

    return $wptp_css;
}
