<div class="wrap wptp-wrap">
	<h2>WP Terms Popup</h2>
	
	<h2 class="nav-tab-wrapper">
		<a href="<?php echo add_query_arg(['post_type' => 'termpopup', 'page' => WP_TERMS_POPUP_NAME . '-settings'], admin_url('edit.php')); ?>" class="nav-tab nav-tab-active"><?php _e('Settings', WP_TERMS_POPUP_NAME); ?></a>
		<a href="<?php echo add_query_arg(['post_type' => 'termpopup', 'page' => WP_TERMS_POPUP_NAME . '-designer'], admin_url('edit.php')); ?>" class="nav-tab"><?php _e('Designer', WP_TERMS_POPUP_NAME); ?></a>
		<a href="<?php echo add_query_arg(['post_type' => 'termpopup', 'page' => WP_TERMS_POPUP_NAME . '-collector'], admin_url('edit.php')); ?>" class="nav-tab"><?php _e('Collector', WP_TERMS_POPUP_NAME); ?></a>
    </h2>

    <div class="wrap wptp-wrap" style="margin-top:30px;">
        <div class="postbox-container" style="float:right; width:30%;">
            <div class="meta-box-sortables">
                <div class="postbox">
                    <div class="inside">
                        <h3><?php _e('Support', WP_TERMS_POPUP_NAME); ?></h3>
                        
                        <p><strong><?php _e('I need some help or have a specific question about a WP Terms Popup feature. Who can I contact?', WP_TERMS_POPUP_NAME); ?></strong></p>
                        <p>
                        <?php printf(__('You can reach out for help through our <a target="new" href="%s">support forum</a> at WordPress.org.', WP_TERMS_POPUP_NAME), esc_url('https://wordpress.org/support/plugin/wp-terms-popup')); ?>
                        </p>
                    </div>
                </div>
            </div>
        </div>
        
        <div style="float: left; width:60%;">
            <form method="post">
                <?php wp_nonce_field('wptpd_settings') ?>
                
                <div class="wptp-setting" style="margin-top:0;">
                    <h3><?php _e('Popups', WP_TERMS_POPUP_NAME); ?></h3>
                    
                    <table>
                        <tbody>
                            <tr>
                                <td colspan="2">
                                    <label for="termsopt_javascript">
                                        <input type="checkbox" id="termsopt_javascript" name="termsopt_javascript" value="1" <?php checked('1', get_option('termsopt_javascript')); ?>>
                                        <span><?php _e('Load popups with JavaScript?', WP_TERMS_POPUP_NAME); ?></span>
                                    </label>
                                    <small style="display:block; padding: 2px 0 0 23px;">
                                    Enable this setting if you have site caching in place. This setting is also recommended when your popups contain large amounts of text or images.<br>
                                    <?php printf(__('<a target="new" href="%s">Learn more about how this settings works and when it is best to enable it on your website</a>.', WP_TERMS_POPUP_NAME), esc_url('https://termsplugin.com/support/load-popups-with-javascript/')); ?>
                                    </small>
                                </td>
                            </tr>

                            <tr>
                                <td colspan="2">
                                    <label for="termsopt_adminenabled">
                                        <input type="checkbox" id="termsopt_adminenabled" name="termsopt_adminenabled" value="1" <?php checked('1', get_option('termsopt_adminenabled')); ?>>
                                        <span><?php _e('Show popups to logged in users?', WP_TERMS_POPUP_NAME); ?></span>
                                    </label>
                                </td>
                            </tr>
                            
                            <tr>
                                <td colspan="2">
                                    <label for="termsopt_sitewide">
                                        <input type="checkbox" id="termsopt_sitewide" name="termsopt_sitewide" value="1" <?php checked('1', get_option('termsopt_sitewide')); ?> onclick="if (this.checked == true) { document.getElementById('wptp_termsopt_page').style.display = 'table-row'; } else { document.getElementById('wptp_termsopt_page').style.display = 'none'; }">
                                        <span><?php _e('Show only one popup site wide?', WP_TERMS_POPUP_NAME); ?></span>
                                    </label>
                                </td>
                            </tr>
                            
                            <tr id="wptp_termsopt_page" style="<?php echo get_option('termsopt_sitewide') == 1 ? 'display:table-row;' : 'display:none;' ?>">
                                <th><?php _e('Site Wide Popup', WP_TERMS_POPUP_NAME); ?></th>
                                <td>
                                    <?php if ((wp_dropdown_pages('name=termsopt_page&post_type=termpopup&echo=0')) == '') : ?>
                                    <?php printf(__('Please <a href="%s">create your first popup</a> to proceed.', WP_TERMS_POPUP_NAME), esc_url('post-new.php?post_type=termpopup')); ?>
                                    <?php else : ?>
                                    <?php wp_dropdown_pages('name=termsopt_page&post_type=termpopup&show_option_none='.__('- Select -', WP_TERMS_POPUP_NAME).'&selected=' .get_option('termsopt_page')); ?>
                                    <?php endif; ?>
                                </td>
                            </tr>
                            
                            <tr class="has-help">
                                <th><?php _e('Agreement Expiration', WP_TERMS_POPUP_NAME); ?></th>
                                <td><input class="small-text" type="number" name="termsopt_expiry" min="0" max="99999" value="<?php echo get_option('termsopt_expiry'); ?>"> <?php _e('Hours', WP_TERMS_POPUP_NAME); ?></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td>
                                    <small><?php _e('This setting controls how much time passes before a user has to agree to your popup again.', WP_TERMS_POPUP_NAME); ?></small><br>
                                    <small><?php _e('Leaving this blank will make popups reappear after 72 hours.', WP_TERMS_POPUP_NAME); ?></small><br>
                                    <small><?php _e('Setting this to 0 will force the popup to appear every time a page is loaded.', WP_TERMS_POPUP_NAME); ?></small><br>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                
                <?php
                    include_once ABSPATH.'wp-admin/includes/plugin.php';
                    if (!is_plugin_active('wp-terms-popup-designer/index.php')) :
                ?>
                <div class="wptp-setting">
                    <h3><?php _e('Background', WP_TERMS_POPUP_NAME); ?></h3>
                    
                    <table>
                        <tbody>
                            <tr class="has-help">
                                <th><?php _e('Transparency', WP_TERMS_POPUP_NAME); ?></th>
                                <td><input class="small-text" type="number" name="termsopt_opac" min="1" max="10" value="<?php echo get_option('termsopt_opac'); ?>"></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><small><?php _e('This setting controls the darkness of content behind the popup. 1 = Light, 10 = Dark.', WP_TERMS_POPUP_NAME); ?></small></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <?php else : ?>
                <input type="hidden" name="termsopt_opac" value="<?php echo get_option('termsopt_opac'); ?>">
                <?php endif; ?>
                
                <div class="wptp-setting">
                    <h3><?php _e('Button Defaults', WP_TERMS_POPUP_NAME); ?></h3>
                    
                    <p><?php _e('These values will be the default options for all new popups you create.', WP_TERMS_POPUP_NAME); ?></p>
                    
                    <table>
                        <tbody>
                            <tr>
                                <th><?php _e('Agree Button Text', WP_TERMS_POPUP_NAME); ?></th>
                                <td><input type="text" name="termsopt_agreetxt" size="20" value="<?php echo get_option('termsopt_agreetxt'); ?>"></td>
                            </tr>
                            
                            <tr>
                                <th><?php _e('Decline Button Text', WP_TERMS_POPUP_NAME); ?></th>
                                <td><input type="text" name="termsopt_disagreetxt" size="20" value="<?php echo get_option('termsopt_disagreetxt'); ?>"></td>
                            </tr>
                            
                            <tr class="has-help">
                                <th><?php _e('Decline URL Redirect', WP_TERMS_POPUP_NAME); ?></th>
                                <td><input type="text" name="termsopt_redirecturl" size="45" value="<?php echo get_option('termsopt_redirecturl'); ?>"></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><small><?php _e('This URL is the website users will be sent to if they click the Decline button.', WP_TERMS_POPUP_NAME); ?></small></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                
                <p><input class="button-primary" type="submit" name="Submit" value="<?php _e('Save Settings', WP_TERMS_POPUP_NAME); ?>" /></p>
            </form>
        </div>
    </div>

	<?php include_once 'wptp-footer.php'; ?>
</div>